complexType "CollateralBalance"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount
</...>

Content Model Elements (3):

  segregatedIndependentAmount (in collateral defined in MarginDetails.model group),
  segregatedIndependentAmount (in collateral defined in MarginDetails.model group),
  variationMargin (in collateral defined in MarginDetails.model group)

All Direct / Indirect Based Elements (1):

  collateral (defined in MarginDetails.model group)

Known Usage Locations

- As direct type of elements (1):
  collateral (defined in MarginDetails.model group)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CollateralBalance"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="MarginCollateral"/> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="MarginCollateral"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="MarginCollateral"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
segregatedIndependentAmount

  Type: | MarginCollateral, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="MarginCollateral"/>

segregatedIndependentAmount

  Type: | MarginCollateral, complex content

  segregated independent amount part of the collateral balance.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="segregatedIndependentAmount" type="MarginCollateral"/>

variationMargin

  Type: | MarginCollateral, complex content

  variation margin part of the collateral balance.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="variationMargin" type="MarginCollateral"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.